> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer multiple FAQs



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /smart-faq/answer
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /smart-faq/answer:
    post:
      tags:
        - SmartFAQ
      summary: Answer multiple FAQs
      requestBody:
        description: The answer multiple FAQs request.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnswerMultipleFAQsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/AnswerMultipleFAQsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AnswerMultipleFAQsRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SmartFAQDto'
components:
  schemas:
    AnswerMultipleFAQsRequest:
      type: object
      properties:
        faQs:
          type: array
          items:
            $ref: '#/components/schemas/AnswerFAQRequest'
          nullable: true
      additionalProperties: false
    SmartFAQDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        agencyId:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        question:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
        leadIds:
          type: array
          items:
            type: string
          nullable: true
        state:
          $ref: '#/components/schemas/AgencySourceFAQState'
      additionalProperties: false
    AnswerFAQRequest:
      type: object
      properties:
        id:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
      additionalProperties: false
    AgencySourceFAQState:
      enum:
        - Uncompressed
        - Compressed
      type: integer
      format: int32
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````